OpenTTD Source: Data Fields

OpenTTD Source 14.0-RC3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - w -

- w : OrthogonalTileArea , OrthogonalTileIterator
- wagon_speed_limits : VehicleSettings
- WagonOverride : VehicleResolverObject
- wait_count : IndustryTypeBuildData
- wait_counter : Train
- wait_for_pbs_path : PathfinderSettings
- wait_oneway_signal : PathfinderSettings
- wait_time : Order
- wait_twoway_signal : PathfinderSettings
- waiting : Industry::AcceptedCargo , Industry::ProducedCargo
- waiting_triggers : BaseStation , ResolverObject , Vehicle
- WaitTillEmptyOrCondition() : HTTPThreadSafeCallback
- wanted_inds : IndustryBuildData
- warn_lines : GameSettingsWindow
- warn_missing : GameSettingsWindow
- warned : SpriteCache
- warning_size : NetworkCompanyPasswordWindow , QueryStringWindow
- was_cargo_delivered : Industry
- was_missing : GRFPresence
- WAS_REFIT : LinkRefresher
- WasEverAvailable() : ObjectSpec
- watched_cargo_triggers : HouseScopeResolver
- watched_cargoes : HouseSpec
- water : CompanyInfrastructure
- water_borders : GameCreationSettings
- Waypoint() : Waypoint
- WaypointWindow() : WaypointWindow
- WD_CAPTION_HEIGHT : WidgetDimensions
- WD_CLOSEBOX_WIDTH : WidgetDimensions
- WD_DEBUGBOX_WIDTH : WidgetDimensions
- WD_DEFSIZEBOX_WIDTH : WidgetDimensions
- WD_DROPDOWN_HEIGHT : WidgetDimensions
- WD_RESIZEBOX_WIDTH : WidgetDimensions
- WD_SHADEBOX_WIDTH : WidgetDimensions
- WD_STICKYBOX_WIDTH : WidgetDimensions
- weight : CargoSpec , RailVehicleInfo , RoadVehicleInfo
- WelcomeAll() : ServerNetworkAdminSocketHandler
- west : RoadStop
- wheel : CursorVars
- white_border_timer : Window
- wi_rect : DropdownWindow
- widget : NWidgetPart::NWidgetPartUnion
- widget_data : NWidgetCore
- widget_h : NWidgetMatrix
- widget_id : LinkGraphOverlay , NetworkStartServerWindow
- widget_lookup : NWidgetStacked , Window
- widget_w : NWidgetMatrix
- WidgetDrawDistances : WidgetDimensions
- widgets_x : NWidgetMatrix
- widgets_y : NWidgetMatrix
- width : Blitter::BlitterParams , BmpInfo , ButtonCommon
- Width() : Rect
- width : Sprite , SpriteLoader::Sprite , TrueTypeFontCache::GlyphEntry , VideoDriver_Win32Base , Viewport , Window
- width_normal : ViewportSign
- width_org : VideoDriver_Win32Base
- width_small : ViewportSign
- Win32FontCache() : Win32FontCache
- window : LinkGraphOverlay , VideoDriver_Cocoa
- Window() : Window
- window_buffer : VideoDriver_CocoaQuartz
- window_class : TileHighlightData , Window
- window_desc : Window
- window_height : VideoDriver_CocoaQuartz
- window_number : TileHighlightData , Window
- window_snap_radius : GUISettings
- window_soft_limit : GUISettings
- window_width : VideoDriver_CocoaQuartz
- WindowDesc() : WindowDesc
- WinHttpCallback() : NetworkHTTPRequest
- winlangid : LanguagePackHeader
- wires : StationSpec
- WithHeight() : Rect
- WithWidth() : Rect
- WO_CACHED : VehicleResolverObject
- WO_NONE : VehicleResolverObject
- WO_SELF : VehicleResolverObject
- WO_UNCACHED : VehicleResolverObject
- word_index : StringFilter
- word_itr : IcuStringIterator
- word_matches : StringFilter
- word_stop : OSXStringIterator::CharInfo , UniscribeStringIterator::CharInfo
- WouldBlock() : NetworkError
- wp : WaypointWindow
- WrapToMap() : Map
- writable : NetworkTCPSocketHandler
- Write() : EndianBufferWriter< Tcont, Titer > , FileWriter , IntSettingDesc , LanguageFileWriter , LanguageWriter , LZMASaveFilter , LZOSaveFilter , NoCompSaveFilter , OutputBuffer , OutputStore , PacketWriter , SaveFilter , StringSettingDesc , TranslationWriter , ZlibSaveFilter
- WriteByte() : MemoryDumper
- WriteCrashDump() : CrashLog
- WriteCrashLog() : CrashLog
- WriteEnumT() : DumpTarget
- WriteHeader() : HeaderWriter , LanguageFileWriter , LanguageWriter , TranslationWriter
- WriteIndent() : DumpTarget
- WriteLang() : LanguageWriter
- WriteLength() : LanguageWriter , TranslationWriter
- WriteLoop() : LZMASaveFilter , ZlibSaveFilter
- WriteSavegame() : CrashLog
- WriteScreenshot() : CrashLog
- WriteSMF() : MidiFile
- WriteStringID() : HeaderFileWriter , HeaderWriter , StringNameWriter
- WriteStructT() : DumpTarget
- WriteTile() : DumpTarget
- WriteTuple() : EndianBufferWriter< Tcont, Titer >
- WriteValue() : DumpTarget
- written_bytes : PacketReader